Bug 815062 - SELinux is preventing /usr/sbin/dnsmasq from 'read' accesses on the lnk_file /var/lib/libvirt.
SELinux is preventing /usr/sbin/dnsmasq from 'read' accesses on the lnk_file ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:26d9ab6667e037d972e8f0115e9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 05:57 EDT by Zdenek Sedlak
Modified: 2012-05-18 06:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-86.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-18 06:27:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Sedlak 2012-04-22 05:57:39 EDT
libreport version: 2.0.8
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.2-1.fc16.x86_64
reason:         SELinux is preventing /usr/sbin/dnsmasq from 'read' accesses on the lnk_file /var/lib/libvirt.
time:           Sun 22 Apr 2012 11:56:52 AM CEST

description:
:SELinux is preventing /usr/sbin/dnsmasq from 'read' accesses on the lnk_file /var/lib/libvirt.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that dnsmasq should be allowed read access on the libvirt lnk_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep dnsmasq /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:dnsmasq_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:virt_var_lib_t:s0
:Target Objects                /var/lib/libvirt [ lnk_file ]
:Source                        dnsmasq
:Source Path                   /usr/sbin/dnsmasq
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           dnsmasq-2.59-4.fc16.x86_64
:Target RPM Packages           libvirt-client-0.9.6-5.fc16.x86_64
:Policy RPM                    selinux-policy-3.10.0-80.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.2-1.fc16.x86_64 #1
:                              SMP Sat Apr 14 00:31:23 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Fri 20 Apr 2012 08:27:21 AM CEST
:Last Seen                     Fri 20 Apr 2012 08:27:21 AM CEST
:Local ID                      34ba1a0b-2d2f-4495-8715-69183d8424f3
:
:Raw Audit Messages
:type=AVC msg=audit(1334903241.654:71): avc:  denied  { read } for  pid=3627 comm="dnsmasq" name="libvirt" dev="sda3" ino=1573007 scontext=system_u:system_r:dnsmasq_t:s0-s0:c0.c1023 tcontext=system_u:object_r:virt_var_lib_t:s0 tclass=lnk_file
:
:
:type=SYSCALL msg=audit(1334903241.654:71): arch=x86_64 syscall=open success=no exit=EACCES a0=1248c00 a1=442 a2=1b6 a3=238 items=0 ppid=3544 pid=3627 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=dnsmasq exe=/usr/sbin/dnsmasq subj=system_u:system_r:dnsmasq_t:s0-s0:c0.c1023 key=(null)
:
:Hash: dnsmasq,dnsmasq_t,virt_var_lib_t,lnk_file,read
:
:audit2allow
:
:#============= dnsmasq_t ==============
:allow dnsmasq_t virt_var_lib_t:lnk_file read;
:
:audit2allow -R
:
:#============= dnsmasq_t ==============
:allow dnsmasq_t virt_var_lib_t:lnk_file read;
:
Comment 1 Miroslav Grepl 2012-04-22 15:15:34 EDT
Fixed in selinux-policy-3.10.0-86.fc16
Comment 2 Fedora Update System 2012-04-24 07:51:04 EDT
selinux-policy-3.10.0-86.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-86.fc16
Comment 3 Fedora Update System 2012-04-25 23:24:13 EDT
Package selinux-policy-3.10.0-86.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-86.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6613/selinux-policy-3.10.0-86.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-05-18 06:27:42 EDT
selinux-policy-3.10.0-86.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.